(* slide24ctlr.mli     Controller for Slide24
 *
 * Copyright (c) 2020 Psellos   http://psellos.com
 *
 * Licensed under the MIT license:
 *     http://opensource.org/licenses/MIT
 *)
open Js_of_ocaml

type t

(* Create a Slide24 app that displays within the given div.
 *)
val create : Dom_html.divElement Js.t -> S24defs.shufd list -> t

(* Create a Slide24 app that displays within the given div, but don't
 * bother returning it.
 *)
val launch : Dom_html.divElement Js.t  -> S24defs.shufd list -> unit
